/* gin-custom.css */

/* node/add ------------------------------------------------------------------ */

.layout--twocol>.layout__region--first,
.layout--twocol>.layout__region--second {
    flex: 0 2 70%;
    margin-right: 2%;
}

.layout--twocol>.layout__region--second {
    flex: 0 2 28%;
    margin-right: 0;
}

.node-task-form .field--type-entity-reference.field--name-field-task {
    display: none;
}

.gin--edit-form .field--name-field-time .field--name-field-hours-spent {
    float: left;
    width: 40%;
    margin-bottom: 5px;
}

.gin--edit-form .field--name-field-time .field--name-created {
    float: right;
    width: 40%;
}

.gin--edit-form .field--name-field-time .field--name-uid {
    clear: both;
}

/* tasks ------------------------------------------------------------------ */

.view-group-tasks ul.filter-tips,
.view-group-tasks .js-filter-wrapper {
    display: none;
}

.view-group-tasks tr.draggable.odd {
    opacity: 0.8;
}

.view-group-tasks .attachment-after {
    opacity: 0.5;
    filter: grayscale(90%);
    margin-top: 25px;

}

.view-project-home .gin-layer-wrapper {
    background: 0 none !important;
    padding: 0;
}

.tabs.tabs--primary {
    margin: 5px 0px 0px 0px;
    padding-bottom: 20px;
    border-block-end: 1px solid var(--gin-border-color-secondary);
}

/* sidebar ------------------------------------------------------------------ */

body.authenticated.client .admin-toolbar__content,
body.authenticated.admin .admin-toolbar__content {
    margin-top: 5px;
}

body.authenticated.client .admin-toolbar__content div:nth-child(4),
body.authenticated.admin .admin-toolbar__content div:nth-child(4) {
    display: none;
}

body.authenticated.client .admin-toolbar__content div:nth-child(3) ul.toolbar-menu,
body.authenticated.admin .admin-toolbar__content div:nth-child(3) ul.toolbar-menu {
    display: none;
}

body.authenticated.client .admin-toolbar__content div:nth-child(3),
body.authenticated.admin .admin-toolbar__content div:nth-child(3) {
    margin-top: 20px;
}


body.authenticated.client .view-projects .view-header,
body.authenticated.client .view-group-tasks .view-header {
    display: none;
}

/* projects + archive ------------------------------------------------------------------ */

.view-projects .views-field-field-duration {
    text-decoration: none;
    font-weight: 200;
    font-size: 13px;
    margin-bottom: 10px;
}

.view-projects .views-field-delete-group,
.view-projects .views-field-edit-group {
    float: left;
}

.view-projects .gin-layer-wrapper {
    background: none;
    padding: 0;
}

.view-projects .gin-layer-wrapper .views-view-responsive-grid__item {
    background: var(--gin-bg-layer);
    border-radius: var(--gin-border-l);
    padding: var(--gin-spacing-l);
    aspect-ratio: 1 / 1;
}

.view-projects .gin-layer-wrapper .views-view-responsive-grid__item h2 {
    margin-top: 0;
}

.view-projects .gin-layer-wrapper .views-view-responsive-grid__item h2 a {
    text-decoration: unset;
    font-size: 27px;
    font-weight: 200;
}

.view-projects .gin-layer-wrapper .views-view-responsive-grid__item h2 a:hover {
    opacity: 0.8;
}

.view-projects .views-field-field-project-description p {
    font-size: 14px;
}

.view-projects.view-display-id-page_2 .gin-layer-wrapper {
    filter: grayscale(100%);
}


.view-projects .gin-layer-wrapper .views-view-responsive-grid__item-inner {
    position: initial;
}

.view-projects .gin-layer-wrapper .views-view-responsive-grid__item {
    position: relative;
}

.view-projects .gin-layer-wrapper .views-field-delete-group,
.view-projects .gin-layer-wrapper .views-field-edit-group {
    background: var(--gin-bg-layer);
    position: absolute;
    bottom: 10px;
}

.view-projects .gin-layer-wrapper .views-field-delete-group {
    left: 85px;
}

/* reports ------------------------------------------------------------------ */

.project-reporting-filter-wrapper {
    margin-bottom: 20px;
}

.project-reporting-year-links {
    float: left;
}

.project-reporting-project-links {
    text-align: right;
}

.project-reporting-table tr:last-child,
.project-reporting-table tr td:last-child {
    color: bisque;
}

.reportschart {
    margin-top: 40px;
    max-height: 400px;
}

.reportschart-title {
    margin-top: 20px;
    margin-bottom: 20px;
}




/* logo ------------------------------------------------------------------ */

.admin-toolbar__logo a.toolbar-link {
    background-color: #1b1b1dbd;
}

.block-system-branding-block a,
.gin-breadcrumb__link.view-project-home a,
body.gin-login .user-form-page .content-header a {
    text-decoration: none;
    font-weight: 200;
    font-size: 13px;
}

.block-system-branding-block a {
    color: #ccc;
}

body.gin-login .user-form-page .content-header a {
    align-items:center;
    width: 165px;
    justify-content: space-between;
}

/* stats ------------------------------------------------------------------ */

.project-stats-container,
.project-stats-block-full {
    max-width: 990px;
    width: initial;
    height: 170px;
    padding-bottom: 40px;
}

.project-stats-block-full {
    background-color: #2a2a2d;
    padding-bottom: 4rem;
}

.project-stats-block-full .title-wide {
    padding-bottom: 20px;
}

.project-stats-block-half {
    position: relative;
    aspect-ratio: 1/1;
    background-color: #2a2a2d;
    padding-bottom: 0;
    max-height: 330px;
}

.project-stats-block-half div:nth-child(2) {
    font-size: 14px;
    position: absolute;
    top: 14%;
}

.project-stats-block-half div:nth-child(3) {
    font-size: 14px;
    position: absolute;
    top: 20%;
}

.project-stats-block-half:nth-child(1) div:nth-child(2),
.project-stats-block-half:nth-child(1) div:nth-child(3) {
    color: #ce6060;
}

.project-stats-block-half:nth-child(2) div:nth-child(2),
.project-stats-block-half:nth-child(2) div:nth-child(3) {
    color: #f1c970;
}

/* node task ------------------------------------------------------------------ */

.node__content .field__items {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    align-content: flex-start;
    overflow: auto;
    flex-direction: row;
}

.node__content .field__items>.field__item {
    background: var(--gin-bg-layer);
    border-radius: var(--gin-border-l);
    padding: var(--gin-spacing-l);
    aspect-ratio: 1 / 1;
    width: 300px;
    height: 300px;
    margin: 8px;
}

.node__content .field--name-field-time {
    margin-top: 10px;
    margin-left: -8px;
}

.node__content .field__items>.field__item h2 {
    font-size: 1.5rem;
}

.node .node__meta {
    font-size: 12px;
}


/* view task projects table ------------------------------------------------------------------ */

.view-group-tasks tbody tr td:first-child.views-empty {
    display: inline-block;
    padding-top: 10px;
}

.view-group-tasks tbody tr td:nth-child(1):not(.views-empty),
.view-group-tasks tbody tr th:nth-child(1) {
    width: 60%;
}

.view-group-tasks tbody tr td:nth-child(2),
.view-group-tasks tbody tr th:nth-child(2) {
    width: 7%;
}

.view-group-tasks tbody tr td:nth-child(3),
.view-group-tasks tbody tr th:nth-child(3) {
    width: 13%;
}

.view-group-tasks tbody tr td:nth-child(4),
.view-group-tasks tbody tr th:nth-child(4) {
    width: 8%;
}

.view-group-tasks tbody tr td:nth-child(5),
.view-group-tasks tbody tr th:nth-child(5) {
    width: 10%;
}

.view-group-tasks .dropbutton__item:first-of-type>* {
    padding: 5px 7px;
}

.clientclass a {
    font-size: var(--gin-font-size-xxs);
    font-weight: var(--gin-font-weight-semibold);
    font-variation-settings: initial;
    display: inline-block;
    padding: 3px 7px;
    vertical-align: .125em;
    border: 1px solid transparent;
    border-radius: var(--gin-border-l);
    color: var(--gin-status-warning-text);
    background-color: #1b1b1d;
}

/* gin login ptt 

body.gin-login .user-form-page__user-form img {
    background: var(--gin-color-primary);
    max-width: 100%;
    max-height: 100px;
    padding: 7px 6px 5px 6px;
    border-radius: 8px;
}
*/
